.check_coords <- function(lat1, lon1, lat2, lon2) {
  if (!all(all((lat1 == lat2)) & all((lon1 == lon2)))) {
    stop('**ERROR: Latitude and longitude values from exp and obs must match.')
  }
}

.reorder_dims <- function(arr_ref, arr_to_reorder) {
  orddim <- match(names(dim(arr_ref)),names(dim(arr_to_reorder)))
  return(Reorder(data = arr_to_reorder, order = orddim))
}


